> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a matter stage information

> Returns the specified matters stage information.



## OpenAPI

````yaml /openapi.json get /matters/{matterId}/stages
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /matters/{matterId}/stages:
    get:
      tags:
        - Stages
      summary: Get a matter stage information
      description: Returns the specified matters stage information.
      operationId: GetStagesOnMatter
      parameters:
        - name: matterId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: When request is successful. Returns a 'MatterStage' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MatterStage'
        '400':
          description: When an unsupported request is made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: >-
            When the matter stage is not associated with the authenticated
            client.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: >-
            When matter stage information with specified matter id does not
            exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    MatterStage:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        versionId:
          type: string
          description: Version id of the record.
          nullable: true
          example: da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262
        matter:
          allOf:
            - $ref: '#/components/schemas/Link'
          description: Matter in which this mapping is associated to.
          nullable: true
        stageSet:
          allOf:
            - $ref: '#/components/schemas/Link'
          description: Current stage set of the matter.
          nullable: true
        stage:
          allOf:
            - $ref: '#/components/schemas/Stage'
          description: Current stage of the matter.
          nullable: true
        lastUpdated:
          type: integer
          description: Timestamp when the matter stage was last updated.
          format: int64
          example: 637847425252027400
      additionalProperties: false
      description: Contains the current stage of the matter.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    Stage:
      type: object
      properties:
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        id:
          type: string
          description: Unique identifier of the stage.
          nullable: true
          example: 45b94df1-1657-48b0-ae81-583b42ed52d6
        versionId:
          type: string
          description: Version id of the record.
          nullable: true
          example: 09d1f360-b810-4a63-acaa-5ed81a551f06
        name:
          type: string
          description: Name of the stage.
          nullable: true
          example: Review contract
        isDeleted:
          type: boolean
          description: True when the stage is deleted.
          example: true
        lastUpdated:
          type: integer
          description: Timestamp when the stage was last updated.
          format: int64
          example: 637847425252027400
      additionalProperties: false
      description: Contains information of a stage in a stage set.
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````